Summary: CUPS front-end and library for Qt
Name: qtcups
Version: 2.0
Release: 7
Group: Applications/System
License: GPL
Source: ftp://cups.sourceforge.net/pub/cups/qtcups/%{name}-%{version}.tar.bz2
Source1: qtcups.desktop
Patch: qtcups-2.0-qt3.patch
Patch1: qtcups-2.0-gcc296.patch
URL: http://cups.sourceforge.net/qtcups
Requires: cups >= 1.1 qt >= 3.0.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: cups-devel >= 1.1 qt-devel >= 3.0.2

%description
QtCups provides CUPS support for Qt applications. It includes:
a CUPS front-end to be used as a replacement for "lpr", which
provides a nice graphical interface for print settings (printer,
configuration, ...)

%package devel
Summary: CUPS front-end and library for Qt
Group: System Environment/Libraries

%description devel
QtCups provides CUPS support for Qt applications. It includes:
a development library which enables Qt application to print to
CUPS and configure all CUPS printer options. The class QCupsPrinter
provides the same interface as QPrinter, sot code changes are
small for most applications.

%prep
%setup -q
%patch -p1 -b .qt3
%patch1 -p1 -b .gcc296
for i in */*.ui; do
	rm -rf `echo $i |sed -e "s/\.ui$/.cpp/"` `echo $i |sed -e "s/\.ui$/.h/"`
done

%build
QTDIR="" && source /etc/profile.d/qt.sh
perl -pi -e "s,-lqt,-lqt-mt,g" configure* Make* */Make* *.kdepr*
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} install

cd $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/System/

# remove qtcups.de, it's broken
rm -f $RPM_BUILD_ROOT/%{_prefix}/share/%{name}/qtcups.de*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/X11/applnk/System/qtcups.desktop
%doc %{_prefix}/share/%{name}/*
%{_bindir}/*
%{_libdir}/libqtcups.so.2*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/libqtcups.la

%changelog
* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-7
- Rebuild

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-6
- Link against correct (threaded) Qt

* Tue Mar 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-5
- Add patch to work around gcc bug #61431

* Mon Jan 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-4
- Port to qt3
- Fix up spec file

* Tue May 15 2001 Than Ngo <than@redhat.com>
- rebuild against cups-1.1.7

* Wed Apr 18 2001 Than Ngo <than@redhat.com>
- clean up specfile
- don't install qtcups.de, it's broken

* Thu Mar 29 2001 Helge Deller <hdeller@redhat.de>
- upgrade to qtcups 2.0
- build for RedHat Linux 7.1 Extrabinge CD

* Wed Oct 25 2000 Than Ngo <than@redhat.com>
- fixed dlopen

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- initial RPM for RedHat Linux 7
